Name:           lyra
Version:        0.5.2
Release:        1%{?dist}
Summary:        High availability RabbitMQ client

License:        ASL 2.0
URL:            https://github.com/jhalterman/%{name}
Source0:        %{url}/archive/%{name}-%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local

# for tests
BuildRequires:  mockito
BuildRequires:  concurrentunit
BuildRequires:  testng
BuildRequires:  junit
BuildRequires:  logback

# runtime
BuildRequires:  rabbitmq-java-client
BuildRequires:  slf4j

%description
Lyra is a RabbitMQ client that embraces failure, helping you achieve
high availability in your services by automatically recovering AMQP
resources when unexpected failures occur. Lyra also supports automatic
invocation retries, recovery related eventing, and exposes a simple,
lightweight API built around the Java AMQP client library.

Lyra was created with the simple goal of recovering client created
AMQP resources from any RabbitMQ failure that could reasonably occur.
While the Java AMQP client provides some automatic recovery, Lyra
provides the ability to recover from any type of failure, including
Channel and Consumer closures, while providing flexible recovery
policies, configuration, and eventing to help get your services
back online.

See the wiki online for more information.
%{url}/%{name}/wiki

%package javadoc
Summary:         Javadoc files for %{name}

%description javadoc
%{summary}.


%prep
%setup -qn%{name}-%{name}-%{version}
%pom_remove_plugin :maven-gpg-plugin
%pom_add_dep junit:junit::test
# commit ac007272844098fda114b4aa2f77d184409c4573
find src/test/java/net/jodah/lyra/internal -name \*.java |xargs sed -i /waiter.expectResume/d

%build
%mvn_build

%install
%mvn_install


%files -f .mfiles
%license LICENSE
%doc *.md

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Sun Feb  7 2016 Raphael Groner <projects.rg@smart.ms> 0.5.2-1
- initial
